Bug 109218 - frames misplaced when document with multiple frames saved as .doc or .docx
Summary: frames misplaced when document with multiple frames saved as .doc or .docx
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc, filter:docx
Depends on:
Blocks: DOCX-Frames DOC-Frames
  Show dependency treegraph
 
Reported: 2017-07-19 14:41 UTC by mike.hall
Modified: 2019-10-18 08:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
multi-frame document (64.68 KB, application/vnd.oasis.opendocument.text)
2017-07-19 14:41 UTC, mike.hall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mike.hall 2017-07-19 14:41:10 UTC
Created attachment 134738 [details]
multi-frame document

Document with multiple frames is scrambled when saved as .doc or .docx, works fine if kept as .odt - tested with 5.4.0.2

To reproduce:
Open attachment
Save as .doc or .docx
Close
Reopen

Observed behaviour:
The frames are significantly displaced
Text in one of the frames loses a newline

Expected behaviour:
The document reopens with the frames in their original positions and formatting unchanged

Bugs 55946, 61494 and 67318 seem to be related, but not quite the same.

This bug makes interworking with colleagues with MS Word extremely problematical.

Suspect that the bug is the same in other OS's, but not tested.
Comment 1 Buovjaga 2017-08-11 18:53:08 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: db17a874af37350b3270932175854ee674447bc1
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 11th 2017

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 2 QA Administrators 2018-10-02 02:52:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug